Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision 799daaa7e6630218c2537cdbf63400817ac1292f)
+++ appendices/dependencies.xml	(revision f6fe5000d71afe93a210ee5e0976fac1a114c03f)
@@ -98,5 +98,5 @@
 
         <seglistitem>
-          <seg>Acli, Libcap</seg>
+          <seg>Acl, Libcap</seg>
         </seglistitem>
       </segmentedlist>
Index: bootscripts/Makefile
===================================================================
--- bootscripts/Makefile	(revision 799daaa7e6630218c2537cdbf63400817ac1292f)
+++ bootscripts/Makefile	(revision f6fe5000d71afe93a210ee5e0976fac1a114c03f)
@@ -29,6 +29,5 @@
 	install -d -m ${DIRMODE}  ${SBIN}
 	ln -sfn       services    ${LIBDIR}/lsb
-	ln -sfn       rc.d/init.d ${ETCDIR}/init.d-sysv
-	ln -sfn       init.d-sysv ${ETCDIR}/init.d
+	ln -sfn       rc.d/init.d ${ETCDIR}/init.d
 
 files: create-dirs 
Index: bootscripts/lfs/init.d/udev
===================================================================
--- bootscripts/lfs/init.d/udev	(revision 799daaa7e6630218c2537cdbf63400817ac1292f)
+++ bootscripts/lfs/init.d/udev	(revision f6fe5000d71afe93a210ee5e0976fac1a114c03f)
@@ -50,15 +50,15 @@
       # Start the udev daemon to continually watch for, and act on,
       # uevents
-      /lib/systemd/systemd-udevd --daemon
+      /sbin/udevd --daemon
 
       # Now traverse /sys in order to "coldplug" devices that have
       # already been discovered
-      /bin/udevadm trigger --action=add    --type=subsystems
-      /bin/udevadm trigger --action=add    --type=devices
-      /bin/udevadm trigger --action=change --type=devices
+      /sbin/udevadm trigger --action=add    --type=subsystems
+      /sbin/udevadm trigger --action=add    --type=devices
+      /sbin/udevadm trigger --action=change --type=devices
 
       # Now wait for udevd to process the uevents we triggered
       if ! is_true "$OMIT_UDEV_SETTLE"; then
-         /bin/udevadm settle
+         /sbin/udevadm settle
       fi
 
Index: bootscripts/lfs/init.d/udev_retry
===================================================================
--- bootscripts/lfs/init.d/udev_retry	(revision 799daaa7e6630218c2537cdbf63400817ac1292f)
+++ bootscripts/lfs/init.d/udev_retry	(revision f6fe5000d71afe93a210ee5e0976fac1a114c03f)
@@ -36,5 +36,5 @@
 
       # As of udev-186, the --run option is no longer valid
-      #rundir=$(/bin/udevadm info --run)
+      #rundir=$(/sbin/udevadm info --run)
       rundir=/run/udev
       # From Debian: "copy the rules generated before / was mounted
@@ -53,5 +53,5 @@
       while read line ; do
          for subsystem in $line ; do
-            /bin/udevadm trigger --subsystem-match=$subsystem --action=add
+            /sbin/udevadm trigger --subsystem-match=$subsystem --action=add
          done
       done
@@ -59,5 +59,5 @@
       # Now wait for udevd to process the uevents we triggered
       if ! is_true "$OMIT_UDEV_RETRY_SETTLE"; then
-         /bin/udevadm settle
+         /sbin/udevadm settle
       fi
 
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 799daaa7e6630218c2537cdbf63400817ac1292f)
+++ chapter01/changelog.xml	(revision f6fe5000d71afe93a210ee5e0976fac1a114c03f)
@@ -37,4 +37,21 @@
 -->
     <listitem>
+      <para>2014-05-11</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update bootscripts for eudev.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Add gcc patch for upstream changes.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Change explanation for using 
+          omit-frame-pointer in gcc-pass2. Fixes
+          <ulink url="&lfs-ticket-root;3562">#3562</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2014-05-10</para>
       <itemizedlist>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 799daaa7e6630218c2537cdbf63400817ac1292f)
+++ chapter03/patches.xml	(revision f6fe5000d71afe93a210ee5e0976fac1a114c03f)
@@ -56,4 +56,12 @@
         <para>Download: <ulink url="&patches-root;&coreutils-shuf-segfault-patch;"/></para>
         <para>MD5 sum: <literal>&coreutils-shuf-segfault-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term>Gcc Upstream Patch - <token>&gcc-upstream-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink url="&patches-root;&gcc-upstream-patch;"/></para>
+        <para>MD5 sum: <literal>&gcc-upstream-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: chapter05/gcc-pass2.xml
===================================================================
--- chapter05/gcc-pass2.xml	(revision 799daaa7e6630218c2537cdbf63400817ac1292f)
+++ chapter05/gcc-pass2.xml	(revision f6fe5000d71afe93a210ee5e0976fac1a114c03f)
@@ -59,9 +59,7 @@
   `dirname $($LFS_TGT-gcc -print-libgcc-file-name)`/include-fixed/limits.h</userinput></screen>
 
-    <para>For x86 machines, a bootstrap build of GCC uses the
-    <option>-fomit-frame-pointer</option> compiler flag.  Non-bootstrap builds
-    omit this flag by default, and the goal should be to produce a compiler
-    that is exactly the same as if it were bootstrapped.  Apply the following
-    <command>sed</command> command to force the build to use the flag:</para>
+    <para>For x86 machines, the limited number of registers is a bottleneck
+    for the system.  Free one up by not using a fram pointer that is not
+    needed:</para>
 
 <screen><userinput remap="pre">case `uname -m` in
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision 799daaa7e6630218c2537cdbf63400817ac1292f)
+++ chapter06/gcc.xml	(revision f6fe5000d71afe93a210ee5e0976fac1a114c03f)
@@ -41,4 +41,9 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
+
+    <para>First fix a problem identified upstream that causes some 
+    programs to fail:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&gcc-upstream-patch;</userinput></screen>
 
     <para>As in <xref linkend="ch-tools-gcc-pass2"/>, apply the following
Index: packages.ent
===================================================================
--- packages.ent	(revision 799daaa7e6630218c2537cdbf63400817ac1292f)
+++ packages.ent	(revision f6fe5000d71afe93a210ee5e0976fac1a114c03f)
@@ -154,5 +154,5 @@
 <!ENTITY eudev-manpages-size "9 KB">
 <!ENTITY eudev-manpages-url "&anduin-other;eudev-&eudev-version;-manpages.tar.bz2">
-<!ENTITY eudev-manpages-md5 "c2fbf420a50d07b80158a0185cbb08f7">
+<!ENTITY eudev-manpages-md5 "eaa5b9af344e958c29288e5376b97a28">
 
 <!ENTITY eudev-ch6-du "7.5 MB">
@@ -371,5 +371,5 @@
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20140510">              <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20140511">              <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">         <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
Index: patches.ent
===================================================================
--- patches.ent	(revision 799daaa7e6630218c2537cdbf63400817ac1292f)
+++ patches.ent	(revision f6fe5000d71afe93a210ee5e0976fac1a114c03f)
@@ -22,4 +22,8 @@
 <!ENTITY coreutils-shuf-segfault-patch-md5 "f1b5b35392914e327b1b6bbbb454d256">
 <!ENTITY coreutils-shuf-segfault-patch-size "4 KB">
+
+<!ENTITY gcc-upstream-patch "gcc-&gcc-version;-upstream_fixes-1.patch">
+<!ENTITY gcc-upstream-patch-md5 "f070aae5f5f92259ed167539725e6241">
+<!ENTITY gcc-upstream-patch-size "4.0 KB">
 
 <!ENTITY glibc-fhs-patch "glibc-&glibc-version;-fhs-1.patch">
